## org.eclipse.datatools.enablement.sybase.asa.catalog
Interface ASASQLs

All Known Implementing Classes:
  SQLScriptsProvider

    public interface ASASQLs

Field Summary
`static java.lang.String` `ASE_BINARY_DISPLAY`
`static java.lang.String` `BATCH_QUERY_TABLE_INDICES`
`static java.lang.String` `BATCH_QUERY_TABLE_INDICES_ASA10`
`static java.lang.String` `BATCH_QUERY_TABLE_TRIGGERS`
`static java.lang.String` `COLUMN_NAME_DELIMITER`
`static java.lang.String` `COLUMN_ORDER_DELIMITER`
`static java.lang.String` `ISOLATION_LEVEL`
`static java.lang.String` `QUERY_ALL_TABLE_INFO`
`static java.lang.String` `QUERY_ALL_TABLE_INFO_ASA10`
`static java.lang.String` `QUERY_ALL_UDT_INFO`
`static java.lang.String` `QUERY_AUTHID_INFO`
`static java.lang.String` `QUERY_CC_INFO`
`static java.lang.String` `QUERY_CC_INFO_ASA10`
`static java.lang.String` `QUERY_COLUMN_CONSTRAINTS`
`static java.lang.String` `QUERY_COLUMN_CONSTRAINTS_ASA10`
`static java.lang.String` `QUERY_COLUMN_INFO`
`static java.lang.String` `QUERY_COLUMN_PERMISSIONS`
`static java.lang.String` `QUERY_COLUMN_PERMISSIONS_BY_OBJ`
`static java.lang.String` `QUERY_CONSTRAINT_INDEX_INFO_ASA10`
`static java.lang.String` `QUERY_CONSTRAINTS`
`static java.lang.String` `QUERY_CONSTRAINTS_ASA10`
`static java.lang.String` `QUERY_DB_INFO1`
`static java.lang.String` `QUERY_DB_INFO2`
`static java.lang.String` `QUERY_DBSPACE_FILENAME`
`static java.lang.String` `QUERY_DBSPACES`
`static java.lang.String` `QUERY_DETAIL`
`static java.lang.String` `QUERY_EVENT_INFO`
`static java.lang.String` `QUERY_EVENT_SCHEDULES`
`static java.lang.String` `QUERY_EVENTS`
`static java.lang.String` `QUERY_FK_INFO`
`static java.lang.String` `QUERY_GROUP_MEMBERS`
`static java.lang.String` `QUERY_INDEX_INFO`
`static java.lang.String` `QUERY_INDEX_INFO_ASA10`
`static java.lang.String` `QUERY_NAME`
`static java.lang.String` `QUERY_PARAMETER_INFO`
`static java.lang.String` `QUERY_PK_INFO`
`static java.lang.String` `QUERY_PLAN`
`static java.lang.String` `QUERY_PLAN_AFTER_RUN`
`static java.lang.String` `QUERY_PLAN_AS_HTML`
`static java.lang.String` `QUERY_ROUTINE_INFO`
`static java.lang.String` `QUERY_ROUTINE_INFO_ASA10`
`static java.lang.String` `QUERY_ROUTINE_PERMISSIONS`
`static java.lang.String` `QUERY_ROUTINE_PERMISSIONS_BY_OBJ`
`static java.lang.String` `QUERY_ROUTINES`
`static java.lang.String` `QUERY_ROUTINES_ASA10`
`static java.lang.String` `QUERY_SCHEMAS`
`static java.lang.String` `QUERY_TABLE_COLLUMNS`
`static java.lang.String` `QUERY_TABLE_INDICES`
`static java.lang.String` `QUERY_TABLE_INDICES_ASA10`
`static java.lang.String` `QUERY_TABLE_INFO`
`static java.lang.String` `QUERY_TABLE_INFO_ASA10`
`static java.lang.String` `QUERY_TABLE_INFOS`
`static java.lang.String` `QUERY_TABLE_PERMISSIONS`
`static java.lang.String` `QUERY_TABLE_PERMISSIONS_BY_OBJ`
`static java.lang.String` `QUERY_TABLE_TRIGGERS`
`static java.lang.String` `QUERY_TABLES`
`static java.lang.String` `QUERY_TRIGGER_INFO`
`static java.lang.String` `QUERY_UC_INFO`
`static java.lang.String` `QUERY_UDT_INFO`
`static java.lang.String` `QUERY_UDTS`
`static java.lang.String` `QUERY_USER_GROUP`
`static java.lang.String` `QUERY_VIEW_DEFN`
`static java.lang.String` `QUOTED_IDENTIFIER`
`static java.lang.String` `SET_TEMPORARY_OPTION`

Field Detail

### COLUMN_NAME_DELIMITER

    static final java.lang.String COLUMN_NAME_DELIMITER

See Also:
  Constant Field Values

### COLUMN_ORDER_DELIMITER

    static final java.lang.String COLUMN_ORDER_DELIMITER

See Also:
  Constant Field Values

### QUERY_EVENTS

    static final java.lang.String QUERY_EVENTS

See Also:
  Constant Field Values

### QUERY_EVENT_INFO

    static final java.lang.String QUERY_EVENT_INFO

See Also:
  Constant Field Values

### QUERY_EVENT_SCHEDULES

    static final java.lang.String QUERY_EVENT_SCHEDULES

See Also:
  Constant Field Values

### QUERY_USER_GROUP

    static final java.lang.String QUERY_USER_GROUP

See Also:
  Constant Field Values

### QUERY_DBSPACES

    static final java.lang.String QUERY_DBSPACES

See Also:
  Constant Field Values

### QUERY_DBSPACE_FILENAME

    static final java.lang.String QUERY_DBSPACE_FILENAME

See Also:
  Constant Field Values

### QUERY_DB_INFO1

    static final java.lang.String QUERY_DB_INFO1

See Also:
  Constant Field Values

### QUERY_DB_INFO2

    static final java.lang.String QUERY_DB_INFO2

See Also:
  Constant Field Values

### QUERY_TABLES

    static final java.lang.String QUERY_TABLES

See Also:
  Constant Field Values

### QUERY_TABLE_INFOS

    static final java.lang.String QUERY_TABLE_INFOS

See Also:
  Constant Field Values

### QUERY_TABLE_COLLUMNS

    static final java.lang.String QUERY_TABLE_COLLUMNS

See Also:
  Constant Field Values

### QUERY_ROUTINES

    static final java.lang.String QUERY_ROUTINES

See Also:
  Constant Field Values

### QUERY_ROUTINES_ASA10

    static final java.lang.String QUERY_ROUTINES_ASA10

See Also:
  Constant Field Values

### QUERY_UDTS

    static final java.lang.String QUERY_UDTS

See Also:
  Constant Field Values

### QUERY_CONSTRAINTS

    static final java.lang.String QUERY_CONSTRAINTS

See Also:
  Constant Field Values

### QUERY_CONSTRAINTS_ASA10

    static final java.lang.String QUERY_CONSTRAINTS_ASA10

See Also:
  Constant Field Values

### QUERY_TABLE_INDICES

    static final java.lang.String QUERY_TABLE_INDICES

See Also:
  Constant Field Values

### QUERY_TABLE_INDICES_ASA10

    static final java.lang.String QUERY_TABLE_INDICES_ASA10

See Also:
  Constant Field Values

### BATCH_QUERY_TABLE_INDICES

    static final java.lang.String BATCH_QUERY_TABLE_INDICES

See Also:
  Constant Field Values

### BATCH_QUERY_TABLE_INDICES_ASA10

    static final java.lang.String BATCH_QUERY_TABLE_INDICES_ASA10

See Also:
  Constant Field Values

### QUERY_TABLE_TRIGGERS

    static final java.lang.String QUERY_TABLE_TRIGGERS

See Also:
  Constant Field Values

### BATCH_QUERY_TABLE_TRIGGERS

    static final java.lang.String BATCH_QUERY_TABLE_TRIGGERS

See Also:
  Constant Field Values

### QUERY_INDEX_INFO

    static final java.lang.String QUERY_INDEX_INFO

See Also:
  Constant Field Values

### QUERY_INDEX_INFO_ASA10

    static final java.lang.String QUERY_INDEX_INFO_ASA10

See Also:
  Constant Field Values

### QUERY_TRIGGER_INFO

    static final java.lang.String QUERY_TRIGGER_INFO

See Also:
  Constant Field Values

### QUERY_PK_INFO

    static final java.lang.String QUERY_PK_INFO

See Also:
  Constant Field Values

### QUERY_UC_INFO

    static final java.lang.String QUERY_UC_INFO

See Also:
  Constant Field Values

### QUERY_FK_INFO

    static final java.lang.String QUERY_FK_INFO

See Also:
  Constant Field Values

### QUERY_CC_INFO

    static final java.lang.String QUERY_CC_INFO

See Also:
  Constant Field Values

### QUERY_CC_INFO_ASA10

    static final java.lang.String QUERY_CC_INFO_ASA10

See Also:
  Constant Field Values

### QUERY_CONSTRAINT_INDEX_INFO_ASA10

    static final java.lang.String QUERY_CONSTRAINT_INDEX_INFO_ASA10

See Also:
  Constant Field Values

### QUERY_COLUMN_INFO

    static final java.lang.String QUERY_COLUMN_INFO

See Also:
  Constant Field Values

### QUERY_UDT_INFO

    static final java.lang.String QUERY_UDT_INFO

See Also:
  Constant Field Values

### QUERY_ALL_UDT_INFO

    static final java.lang.String QUERY_ALL_UDT_INFO

See Also:
  Constant Field Values

### QUERY_ROUTINE_INFO

    static final java.lang.String QUERY_ROUTINE_INFO

See Also:
  Constant Field Values

### QUERY_ROUTINE_INFO_ASA10

    static final java.lang.String QUERY_ROUTINE_INFO_ASA10

See Also:
  Constant Field Values

### QUERY_PARAMETER_INFO

    static final java.lang.String QUERY_PARAMETER_INFO

See Also:
  Constant Field Values

### QUERY_VIEW_DEFN

    static final java.lang.String QUERY_VIEW_DEFN

See Also:
  Constant Field Values

### QUERY_ALL_TABLE_INFO

    static final java.lang.String QUERY_ALL_TABLE_INFO

See Also:
  Constant Field Values

### QUERY_ALL_TABLE_INFO_ASA10

    static final java.lang.String QUERY_ALL_TABLE_INFO_ASA10

See Also:
  Constant Field Values

### QUERY_TABLE_INFO

    static final java.lang.String QUERY_TABLE_INFO

See Also:
  Constant Field Values

### QUERY_TABLE_INFO_ASA10

    static final java.lang.String QUERY_TABLE_INFO_ASA10

See Also:
  Constant Field Values

### QUERY_TABLE_PERMISSIONS

    static final java.lang.String QUERY_TABLE_PERMISSIONS

See Also:
  Constant Field Values

### QUERY_ROUTINE_PERMISSIONS

    static final java.lang.String QUERY_ROUTINE_PERMISSIONS

See Also:
  Constant Field Values

### QUERY_COLUMN_PERMISSIONS

    static final java.lang.String QUERY_COLUMN_PERMISSIONS

See Also:
  Constant Field Values

### QUERY_TABLE_PERMISSIONS_BY_OBJ

    static final java.lang.String QUERY_TABLE_PERMISSIONS_BY_OBJ

See Also:
  Constant Field Values

### QUERY_COLUMN_PERMISSIONS_BY_OBJ

    static final java.lang.String QUERY_COLUMN_PERMISSIONS_BY_OBJ

See Also:
  Constant Field Values

### QUERY_ROUTINE_PERMISSIONS_BY_OBJ

    static final java.lang.String QUERY_ROUTINE_PERMISSIONS_BY_OBJ

See Also:
  Constant Field Values

### QUERY_GROUP_MEMBERS

    static final java.lang.String QUERY_GROUP_MEMBERS

See Also:
  Constant Field Values

### QUERY_AUTHID_INFO

    static final java.lang.String QUERY_AUTHID_INFO

See Also:
  Constant Field Values

### QUERY_COLUMN_CONSTRAINTS

    static final java.lang.String QUERY_COLUMN_CONSTRAINTS

See Also:
  Constant Field Values

### QUERY_COLUMN_CONSTRAINTS_ASA10

    static final java.lang.String QUERY_COLUMN_CONSTRAINTS_ASA10

See Also:
  Constant Field Values

### QUERY_SCHEMAS

    static final java.lang.String QUERY_SCHEMAS

See Also:
  Constant Field Values

### SET_TEMPORARY_OPTION

    static final java.lang.String SET_TEMPORARY_OPTION

See Also:
  Constant Field Values

### QUOTED_IDENTIFIER

    static final java.lang.String QUOTED_IDENTIFIER

See Also:
  Constant Field Values

### QUERY_NAME

    static final java.lang.String QUERY_NAME

See Also:
  Constant Field Values

### QUERY_PLAN

    static final java.lang.String QUERY_PLAN

See Also:
  Constant Field Values

### QUERY_DETAIL

    static final java.lang.String QUERY_DETAIL

See Also:
  Constant Field Values

### QUERY_PLAN_AFTER_RUN

    static final java.lang.String QUERY_PLAN_AFTER_RUN

See Also:
  Constant Field Values

### QUERY_PLAN_AS_HTML

    static final java.lang.String QUERY_PLAN_AS_HTML

See Also:
  Constant Field Values

### ASE_BINARY_DISPLAY

    static final java.lang.String ASE_BINARY_DISPLAY

See Also:
  Constant Field Values

### ISOLATION_LEVEL

    static final java.lang.String ISOLATION_LEVEL

See Also:
  Constant Field Values